Index: titan/oealliance/etc/titan.restore/mnt/config/rcconfig.sf8008
===================================================================
--- titan/oealliance/etc/titan.restore/mnt/config/rcconfig.sf8008	(revision 43023)
+++ titan/oealliance/etc/titan.restore/mnt/config/rcconfig.sf8008	(revision 43023)
@@ -0,0 +1,40 @@
+rcok=352
+rcexit=174
+rcup=103
+rcdown=108
+rcleft=105
+rcright=106
+rcmenu=139
+rcff=208
+rcfr=168
+rcvolup=115
+rcvoldown=114
+rcchup=104
+rcchdown=109
+rcmute=113
+rcred=398
+rcblue=401
+rcgreen=399
+rcyellow=400
+rchelp=138
+rcinfo=358
+rc1=2
+rc2=3
+rc3=4
+rc4=5
+rc5=6
+rc6=7
+rc7=8
+rc8=9
+rc9=10
+rc0=11
+rcstop=128
+rcepg=365
+rchbbtv=361
+rcmedia=226
+rcplay=207
+rcpause=119
+rcrecord=167
+rctext=388
+rcpower=116
+rcwebplay=355
Index: titan/oealliance/etc/titan.restore/mnt/config/titan.cfg
===================================================================
--- titan/oealliance/etc/titan.restore/mnt/config/titan.cfg	(revision 43022)
+++ titan/oealliance/etc/titan.restore/mnt/config/titan.cfg	(revision 43023)
@@ -10,5 +10,7 @@
 autochangechannelname=1
 automiscfile=/mnt/network/auto.misc
-av_videomode=720p50
+av_videomode=720
+av_aspect=16:9
+av_policy=16:9_set_letterbox_to_policy_show_panscan
 bouquetfile=/mnt/settings/bouquets.cfg
 bouquetpath=/mnt/settings
Index: titan/oealliance/etc/titan.restore/mnt/config/titan.sf8008.cfg
===================================================================
--- titan/oealliance/etc/titan.restore/mnt/config/titan.sf8008.cfg	(revision 43023)
+++ titan/oealliance/etc/titan.restore/mnt/config/titan.sf8008.cfg	(revision 43023)
@@ -0,0 +1,205 @@
+
+ac3choicesdev=/proc/stb/audio/ac3_choices
+ac3dev=/proc/stb/audio/ac3
+aspectchoicesdev=/proc/stb/video/aspect_choices
+aspectdev=/proc/stb/video/aspect
+audiodelaybitstreamdev=/proc/stb/audio/audio_delay_bitstream
+audiodev=/dev/dvb/adapter%d/audio%d
+audiosourcechoicesdev=/proc/stb/hdmi/audio_source_choices
+audiosourcedev=/proc/stb/hdmi/audio_source
+autochangechannelname=1
+automiscfile=/mnt/network/auto.misc
+av_videomode=720
+av_aspect=16:9
+av_policy=16:9_set_letterbox_to_policy_show_panscan
+bouquetfile=/mnt/settings/bouquets.cfg
+bouquetpath=/mnt/settings
+brightnessdev=/proc/stb/video/plane/psi_brightness
+browserfavfile=/mnt/config/browserfav
+browserhome=http://sbnc.dyndns.tv/trac/wiki
+cadev=/dev/dvb/adapter%d/ca%d
+camwait=5
+casendallcaids=1
+caskipprivat=1
+channelfile=/mnt/settings/channel
+channellist=(BOUQUET)-Hauptliste
+channelslotfile=/mnt/config/channelslot
+checkemucmd=emu.sh checkinstall
+checkpmtalways=1
+ciclockdev=/proc/stb/tsmux/ci%d_tsclk
+cidev=/dev/dvb/adapter%d/ci%d
+ciinputdev=/proc/stb/tsmux/ci%d_input
+cisourcedev=/proc/stb/tsmux/input%d
+colorformatchoicesdev=/proc/stb/avs/0/colorformat_choices
+colorformatdev=/proc/stb/avs/0/colorformat
+contrastdev=/proc/stb/video/plane/psi_contrast
+createthumb=1
+debuglevel=10
+defskinconfig=/lib/titan/default/skinconfig.default
+defskinfile=/lib/titan/default/skin.xml
+defskinpath=/lib/titan/default
+dirsort=4
+dmxdev=/dev/dvb/adapter%d/demux%d
+dmxepgbuffersize=1048576
+dvrdev=/dev/dvb/adapter%d/dvr%d
+epg_days=3
+epg_del=0
+epg_path=/mnt/swapextensions
+epg_screen=3
+epgchannelfile=/mnt/settings/epgchannel
+extepgfile=/mnt/config/extepg
+failbackpath=/media
+faststop=1
+fbdev=/dev/fb0
+fe_00_diseqc1=1
+fe_00_diseqc2=2
+fe_00_diseqc3=3
+fe_00_diseqc4=4
+fe_00_maxsat=1
+fe_00_sat1=192
+fe_00_sat2=130
+fe_00_sat3=235
+fe_00_sat4=282
+fe_00_satnr1=1
+fe_00_satnr2=2
+fe_00_satnr3=3
+fe_00_satnr4=4
+feed=/var/etc/ipkg/official-feed.conf
+firststart=1
+fontfile1=/var/usr/share/fonts/default.ttf
+fontfile2=/var/usr/share/fonts/tuxtxt.ttf
+fontfile3=/var/usr/share/fonts/free3of9x.ttf
+frontenddev=/dev/dvb/adapter%d/frontend%d
+guirestartlogo=/var/etc/boot/bootlogo.jpg
+hbbtvfavfile=/mnt/config/hbbtvfav
+helppath=/var/usr/local/share/titan/help
+hotpluginfo=/sys/class/stmcoredisplay/display0/hdmi0.0/hotplug
+httpdpath=/var/usr/local/share/titan/web
+httpdstart=1
+imagenamefile=/etc/version
+imdbfolderpath=/mnt/swapextensions/usr/local/share/titan/imdbfolder
+inadynfile=/mnt/config/inadyn.conf
+inputdev=/proc/stb/avs/0/input
+lang=po/de
+lastsubtitle=/mnt/config/lastsubtitle
+localepath=/var/usr/local/share/titan
+localtimefile=/var/etc/localtime
+mc_ap_autoscan=0
+mc_ap_defaultdir=/media
+mc_ap_dirsort=0
+mc_ap_path=/media
+mc_ap_uselastdir=1
+mc_ap_view=4
+mc_pp_defaultdir=/media
+mc_pp_dirsort=0
+mc_pp_path=/media
+mc_pp_uselastdir=1
+mc_pp_view=4
+mc_vp_autoscan=0
+mc_vp_backdrop_interval=5
+mc_vp_defaultdir=/media
+mc_vp_dirsort=0
+mc_vp_path=/media
+mc_vp_uselastdir=1
+mc_vp_view=4
+mc_ip_defaultdir=/media/upnpfs
+mc_ip_dirsort=0
+mc_ip_path=/media/upnpfs
+mc_ip_uselastdir=1
+mc_ip_view=4
+mediadbbackdrop=2
+mediadbscantimeout=999999
+mode3ddev=/proc/stb/video/3d_mode
+mostzapfile=/mnt/config/mostzap
+mountpath=/autofs
+mutedev=/proc/stb/audio/j1_mute
+nofirstwizzard=0
+nopluginversion=1
+ownconfig=/mnt/config/start-config
+pichwdecode=0
+playertype=1
+playlistfile=/mnt/config/playlist
+playlistpath=/mnt/config
+pluginpath1=/mnt/swapextensions/usr/local/share/titan/plugins
+pluginpath2=/var/swap/usr/local/share/titan/plugins
+pluginpath=/var/usr/local/share/titan/plugins
+policychoicesdev=/proc/stb/video/policy_choices
+policydev=/proc/stb/video/policy
+powerofflogo=/var/etc/boot/poweroff.jpg
+progressdev=/proc/progress
+providerfile=/mnt/settings/provider
+rcconfig=/mnt/config/rcconfig
+rcdev=/dev/input/event0
+rcmapfile=/mnt/config/rcmap
+recforerun=0
+recordnamefmt=1
+recordsharefile=/mnt/network/.recordshare
+recoverrun=0
+rectimerfile=/mnt/config/timers.xml
+restartlogo=/var/etc/boot/reboot.jpg
+restorecmd=reset.sh
+sataswitchdev=/proc/sata/sata_switch
+satfile=/mnt/settings/satellites
+scdev=/dev/sci%d
+screensaver=1
+screensaver_background_color=000000
+screensaver_delay=5
+screensaver_interval=5
+screensaver_pic=skin/screensaver1.png
+screensaver_type=2222222222
+scriptexecpath=/mnt/script
+searchhist=/mnt/config/searchhistory
+secondinfobar=1
+serviceid=10301
+showchanneltimeline=1
+showlastpos=1
+skinconfig=/mnt/config/skinconfig
+skinfile=/var/usr/local/share/titan/skin/default/skin.xml
+skinpath=/var/usr/local/share/titan/skin/default
+skins=/var/usr/local/share/titan/skin;/var/swap/usr/local/share/titan/skin;/mnt/swapextensions/usr/local/share/titan/skin
+skinstyle=skinconfig.default
+skriptafterrec=/mnt/config/usercmd.after.rec.sh
+skriptbeforerec=/mnt/config/usercmd.before.rec.sh
+skriptaftertv=/var/etc/autostart/start.sh last &
+skriptbeforetv=/usr/bin/killall infobox &
+sound=off
+standbytuneroff=1
+stockfile=/mnt/config/stock
+streamzapping=1
+style=1
+timezone=CET
+timezonefile=/var/etc/timezone.xml
+timezonename=(GMT+01:00) Amsterdam, Berlin, Bern, Rome, Vienna
+tintdev=/proc/stb/video/plane/psi_tint
+tithek_cover=0
+tithek_fav=/mnt/config/favorite
+tithek_pic_ratio=1
+tithek_view=0
+tithek_autoupdate=1
+tracelog=/mnt/logs/titan.err
+transponderencodingfile=/mnt/settings/transponderencoding
+transponderfile=/mnt/settings/transponder
+transponderid=66555
+tuxtxtfile=/sbin/tuxtxt.sh
+unicablefile=/var/etc/titan/unicable
+usedirectfb=0
+vfddev=/dev/vfd
+videodev=/dev/dvb/adapter%d/video%d
+videomodechoicesdev=/proc/stb/video/videomode_choices
+videomodedev=/proc/stb/video/videomode
+vmpegalldev=/proc/stb/vmpeg/%d/dst_all
+vmpegaspectdev=/proc/stb/vmpeg/0/aspect
+vmpegframeratedev=/proc/stb/vmpeg/0/framerate
+vmpegxresdev=/proc/stb/vmpeg/0/xres
+vmpegyresdev=/proc/stb/vmpeg/0/yres
+vol=30
+vol_playerstart=80
+vol_playerstop=80
+volautochangevalue=40
+voldev=/proc/stb/avs/0/volume
+wakeuptimerdev=/proc/stb/fp/wakeup_time
+wakeuptimerprog=fp_control -m %H:%M:%S %d-%m-%Y
+waswakeuptimerdev=/proc/stb/fp/was_timer_wakeup
+weatherfile=/mnt/config/weather
+wssdev=/proc/stb/denc/0/wss
+zonepath=/usr/share/zoneinfo