Index: titan/oealliance/etc/inetd.conf1
===================================================================
--- titan/oealliance/etc/inetd.conf1	(revision 43285)
+++ 	(revision )
@@ -1,22 +1,0 @@
-# /etc/inetd.conf:  see inetd(8) for further informations.
-#
-# Internet server configuration database
-#
-# If you want to disable an entry so it isn't touched during
-# package updates just comment it out with a single '#' character.
-#
-# <service_name> <sock_type> <proto> <flags> <user> <server_path> <args>
-#
-#:INTERNAL: Internal services
-#echo		stream	tcp	nowait	root	internal
-#echo		dgram	udp	wait	root	internal
-#chargen	stream	tcp	nowait	root	internal
-#chargen	dgram	udp	wait	root	internal
-#discard		stream	tcp	nowait	root	internal
-#discard		dgram	udp	wait	root	internal
-#daytime		stream	tcp	nowait	root	internal
-#daytime	dgram	udp	wait	root	internal
-#time		stream	tcp	nowait	root	internal
-#time		dgram	udp	wait	root	internal
-ftp		stream	tcp	nowait	root	/usr/sbin/vsftpd	vsftpd
-telnet		stream	tcp	nowait	root	/usr/sbin/telnetd	telnetd
Index: titan/oealliance/etc/inittab1
===================================================================
--- titan/oealliance/etc/inittab1	(revision 43285)
+++ 	(revision )
@@ -1,33 +1,0 @@
-# /etc/inittab: init(8) configuration.
-# $Id: inittab,v 1.91 2002/01/25 13:35:21 miquels Exp $
-
-# The default runlevel.
-id:3:initdefault:
-
-# Boot-time system configuration/initialization script.
-# This is run first except when booting in emergency (-b) mode.
-si::sysinit:/etc/init.d/rcS
-
-# What to do in single-user mode.
-~~:S:wait:/sbin/sulogin
-
-# /etc/init.d executes the S and K scripts upon change
-# of runlevel.
-#
-# Runlevel 0 is halt.
-# Runlevel 1 is single-user.
-# Runlevels 2-5 are multi-user.
-# Runlevel 6 is reboot.
-
-l0:0:wait:/etc/init.d/rc 0
-l1:1:wait:/etc/init.d/rc 1
-l2:2:wait:/etc/init.d/rc 2
-l3:3:wait:/etc/init.d/rc 3
-l4:4:wait:/etc/init.d/rc 4
-l5:5:wait:/etc/init.d/rc 5
-l6:6:wait:/etc/init.d/rc 6
-# Normally not reached, but fallthrough in case of emergency.
-z6:6:respawn:/sbin/sulogin
-
-gui:3:respawn:/var/etc/autostart/start.sh first
-x:1:once:/tmp/image_restore.sh
Index: titan/oealliance/etc/smbnetfs.user.conf1
===================================================================
--- titan/oealliance/etc/smbnetfs.user.conf1	(revision 43285)
+++ 	(revision )
@@ -1,3 +1,0 @@
-# smbnetfs user configuration
-# This is the place to store your passwords and personal preferences.
-
Index: titan/oealliance/etc/titan.restore/mnt/network/auto.misc
===================================================================
--- titan/oealliance/etc/titan.restore/mnt/network/auto.misc	(revision 43285)
+++ titan/oealliance/etc/titan.restore/mnt/network/auto.misc	(revision 43294)
@@ -1,86 +1,0 @@
-# automatically generated by titan
-# do NOT change manually, all shares withe tab or gs on NetworkBrowser !
-smbfs	-fstype=smbfs,allow_other,nonempty	:/media/smbfs
-upnpfs	-fstype=upnpfs,allow_other,nonempty,iocharset=utf8	:/media/upnpfs
-
-sr0	-fstype=auto,ro,nosuid,nodev	:/dev/sr0
-
-sda1	-fstype=auto,noatime,nodiratime	:/dev/sda1
-sda2	-fstype=auto,noatime,nodiratime	:/dev/sda2
-sda3	-fstype=auto,noatime,nodiratime	:/dev/sda3
-sda4	-fstype=auto,noatime,nodiratime	:/dev/sda4
-sda5	-fstype=auto,noatime,nodiratime	:/dev/sda5
-sda6	-fstype=auto,noatime,nodiratime	:/dev/sda6
-sda7	-fstype=auto,noatime,nodiratime	:/dev/sda7
-sda8	-fstype=auto,noatime,nodiratime	:/dev/sda8
-sda9	-fstype=auto,noatime,nodiratime	:/dev/sda9
-
-sdb1	-fstype=auto,noatime,nodiratime	:/dev/sdb1
-sdb2	-fstype=auto,noatime,nodiratime	:/dev/sdb2
-sdb3	-fstype=auto,noatime,nodiratime	:/dev/sdb3
-sdb4	-fstype=auto,noatime,nodiratime	:/dev/sdb4
-sdb5	-fstype=auto,noatime,nodiratime	:/dev/sdb5
-sdb6	-fstype=auto,noatime,nodiratime	:/dev/sdb6
-sdb7	-fstype=auto,noatime,nodiratime	:/dev/sdb7
-sdb8	-fstype=auto,noatime,nodiratime	:/dev/sdb8
-sdb9	-fstype=auto,noatime,nodiratime	:/dev/sdb9
-
-sdc1	-fstype=auto,noatime,nodiratime	:/dev/sdc1
-sdc2	-fstype=auto,noatime,nodiratime	:/dev/sdc2
-sdc3	-fstype=auto,noatime,nodiratime	:/dev/sdc3
-sdc4	-fstype=auto,noatime,nodiratime	:/dev/sdc4
-sdc5	-fstype=auto,noatime,nodiratime	:/dev/sdc5
-sdc6	-fstype=auto,noatime,nodiratime	:/dev/sdc6
-sdc7	-fstype=auto,noatime,nodiratime	:/dev/sdc7
-sdc8	-fstype=auto,noatime,nodiratime	:/dev/sdc8
-sdc9	-fstype=auto,noatime,nodiratime	:/dev/sdc9
-
-sdd1	-fstype=auto,noatime,nodiratime	:/dev/sdd1
-sdd2	-fstype=auto,noatime,nodiratime	:/dev/sdd2
-sdd3	-fstype=auto,noatime,nodiratime	:/dev/sdd3
-sdd4	-fstype=auto,noatime,nodiratime	:/dev/sdd4
-sdd5	-fstype=auto,noatime,nodiratime	:/dev/sdd5
-sdd6	-fstype=auto,noatime,nodiratime	:/dev/sdd6
-sdd7	-fstype=auto,noatime,nodiratime	:/dev/sdd7
-sdd8	-fstype=auto,noatime,nodiratime	:/dev/sdd8
-sdd9	-fstype=auto,noatime,nodiratime	:/dev/sdd9
-
-sde1	-fstype=auto,noatime,nodiratime	:/dev/sde1
-sde2	-fstype=auto,noatime,nodiratime	:/dev/sde2
-sde3	-fstype=auto,noatime,nodiratime	:/dev/sde3
-sde4	-fstype=auto,noatime,nodiratime	:/dev/sde4
-sde5	-fstype=auto,noatime,nodiratime	:/dev/sde5
-sde6	-fstype=auto,noatime,nodiratime	:/dev/sde6
-sde7	-fstype=auto,noatime,nodiratime	:/dev/sde7
-sde8	-fstype=auto,noatime,nodiratime	:/dev/sde8
-sde9	-fstype=auto,noatime,nodiratime	:/dev/sde9
-
-sdf1	-fstype=auto,noatime,nodiratime	:/dev/sdf1
-sdf2	-fstype=auto,noatime,nodiratime	:/dev/sdf2
-sdf3	-fstype=auto,noatime,nodiratime	:/dev/sdf3
-sdf4	-fstype=auto,noatime,nodiratime	:/dev/sdf4
-sdf5	-fstype=auto,noatime,nodiratime	:/dev/sdf5
-sdf6	-fstype=auto,noatime,nodiratime	:/dev/sdf6
-sdf7	-fstype=auto,noatime,nodiratime	:/dev/sdf7
-sdf8	-fstype=auto,noatime,nodiratime	:/dev/sdf8
-sdf9	-fstype=auto,noatime,nodiratime	:/dev/sdf9
-
-sdg1	-fstype=auto,noatime,nodiratime	:/dev/sdg1
-sdg2	-fstype=auto,noatime,nodiratime	:/dev/sdg2
-sdg3	-fstype=auto,noatime,nodiratime	:/dev/sdg3
-sdg4	-fstype=auto,noatime,nodiratime	:/dev/sdg4
-sdg5	-fstype=auto,noatime,nodiratime	:/dev/sdg5
-sdg6	-fstype=auto,noatime,nodiratime	:/dev/sdg6
-sdg7	-fstype=auto,noatime,nodiratime	:/dev/sdg7
-sdg8	-fstype=auto,noatime,nodiratime	:/dev/sdg8
-sdg9	-fstype=auto,noatime,nodiratime	:/dev/sdg9
-
-sdh1	-fstype=auto,noatime,nodiratime	:/dev/sdh1
-sdh2	-fstype=auto,noatime,nodiratime	:/dev/sdh2
-sdh3	-fstype=auto,noatime,nodiratime	:/dev/sdh3
-sdh4	-fstype=auto,noatime,nodiratime	:/dev/sdh4
-sdh5	-fstype=auto,noatime,nodiratime	:/dev/sdh5
-sdh6	-fstype=auto,noatime,nodiratime	:/dev/sdh6
-sdh7	-fstype=auto,noatime,nodiratime	:/dev/sdh7
-sdh8	-fstype=auto,noatime,nodiratime	:/dev/sdh8
-sdh9	-fstype=auto,noatime,nodiratime	:/dev/sdh9
Index: titan/oealliance/etc/vsftpd.conf1
===================================================================
--- titan/oealliance/etc/vsftpd.conf1	(revision 43285)
+++ 	(revision )
@@ -1,153 +1,0 @@
-# Example config file /etc/vsftpd.conf
-#
-# The default compiled in settings are fairly paranoid. This sample file
-# loosens things up a bit, to make the ftp daemon more usable.
-# Please see vsftpd.conf.5 for all compiled in defaults.
-#
-# READ THIS: This example file is NOT an exhaustive list of vsftpd options.
-# Please read the vsftpd.conf.5 manual page to get a full idea of vsftpd's
-# capabilities.
-
-# run standalone
-listen=NO
-listen_ipv6=NO
-
-# No PAM sessions to save resources
-session_support=NO
-
-# Allow anonymous FTP? (Beware - allowed by default if you comment this out).
-anonymous_enable=NO
-#
-# Uncomment this to allow local users to log in.
-local_enable=YES
-#
-# Uncomment this to enable any form of FTP write command.
-write_enable=YES
-#
-# Default umask for local users is 077. You may wish to change this to 022,
-# if your users expect that (022 is used by most other ftpd's)
-local_umask=022
-#
-# Uncomment this to allow the anonymous FTP user to upload files. This only
-# has an effect if the above global write enable is activated. Also, you will
-# obviously need to create a directory writable by the FTP user.
-#anon_upload_enable=YES
-#
-# Uncomment this if you want the anonymous FTP user to be able to create
-# new directories.
-#anon_mkdir_write_enable=YES
-#
-# Activate directory messages - messages given to remote users when they
-# go into a certain directory.
-dirmessage_enable=YES
-#
-# Activate logging of uploads/downloads.
-xferlog_enable=NO
-#
-# Make sure PORT transfer connections originate from port 20 (ftp-data).
-connect_from_port_20=NO
-#
-# If you want, you can arrange for uploaded anonymous files to be owned by
-# a different user. Note! Using "root" for uploaded files is not
-# recommended!
-#chown_uploads=YES
-#chown_username=whoever
-#
-# You may override where the log file goes if you like. The default is shown
-# below.
-#xferlog_file=/var/log/vsftpd.log
-#
-# If you want, you can have your log file in standard ftpd xferlog format
-xferlog_std_format=YES
-#
-# You may change the default value for timing out an idle session.
-#idle_session_timeout=600
-#
-# You may change the default value for timing out a data connection.
-#data_connection_timeout=120
-#
-# It is recommended that you define on your system a unique user which the
-# ftp server can use as a totally isolated and unprivileged user.
-#nopriv_user=ftp
-#
-# Enable this and the server will recognise asynchronous ABOR requests. Not
-# recommended for security (the code is non-trivial). Not enabling it,
-# however, may confuse older FTP clients.
-#async_abor_enable=YES
-#
-# By default the server will pretend to allow ASCII mode but in fact ignore
-# the request. Turn on the below options to have the server actually do ASCII
-# mangling on files when in ASCII mode.
-# Beware that turning on ascii_download_enable enables malicious remote parties
-# to consume your I/O resources, by issuing the command "SIZE /big/file" in
-# ASCII mode.
-# These ASCII options are split into upload and download because you may wish
-# to enable ASCII uploads (to prevent uploaded scripts etc. from breaking),
-# without the DoS risk of SIZE and ASCII downloads. ASCII mangling should be
-# on the client anyway..
-#ascii_upload_enable=YES
-#ascii_download_enable=YES
-#
-# You may fully customise the login banner string:
-#ftpd_banner=Welcome to blah FTP service.
-#
-# You may specify a file of disallowed anonymous e-mail addresses. Apparently
-# useful for combatting certain DoS attacks.
-#deny_email_enable=YES
-# (default follows)
-#banned_email_file=/etc/vsftpd.banned_emails
-#
-# You may specify an explicit list of local users to chroot() to their home
-# directory. If chroot_local_user is YES, then this list becomes a list of
-# users to NOT chroot().
-chroot_list_enable=YES
-# (default follows)
-chroot_list_file=/etc/vsftpd.chroot_list
-#
-# You may activate the "-R" option to the builtin ls. This is disabled by
-# default to avoid remote users being able to cause excessive I/O on large
-# sites. However, some broken FTP clients such as "ncftp" and "mirror" assume
-# the presence of the "-R" option, so there is a strong case for enabling it.
-#ls_recurse_enable=YES
-#
-# This string is the name of the PAM service vsftpd will use.
-pam_service_name=vsftpd
-#
-# This option is examined if userlist_enable is activated. If you set this
-# setting to NO, then users will be denied login  unless  they are  explicitly 
-# listed  in the file specified by userlist_file.  When login is denied, the 
-# denial is issued before the user is asked for a password.
-userlist_deny=YES
-#
-# If enabled, vsftpd will load a list of usernames, from the filename given by
-# userlist_file.  If a user tries to log in using  a  name in  this  file,  they
-# will be denied before they are asked for a password. This may be useful in 
-# preventing cleartext passwords being transmitted. See also userlist_deny.
-userlist_enable=NO
-#
-# If enabled,  vsftpd  will display directory listings with the time in your
-# local time zone. The default is to display GMT. The times returned by the
-# MDTM FTP command are also affected by this option.
-use_localtime=YES
-#
-# If set to YES, local users will be (by default) placed in a chroot() jail in
-# their home directory after login.  Warning: This  option has  security  
-# implications,  especially  if  the users have upload permission, or shell access.
-# Only enable if you know what you are doing.  Note that these security implications
-# are not vsftpd specific. They apply to all FTP daemons which offer to put 
-# local  users in chroot() jails.
-chroot_local_user=YES
-#
-allow_writeable_chroot=YES
-#
-tcp_wrappers=NO
-
-# Enable FXP
-pasv_promiscuous=YES
-port_promiscuous=YES
-
-# Allow users w/o shell access
-check_shell=NO
-
-# Start directory for non-chrooted users
-local_root=/tmp
Index: titan/oealliance/sbin/update.sh
===================================================================
--- titan/oealliance/sbin/update.sh	(revision 43285)
+++ titan/oealliance/sbin/update.sh	(revision 43294)
@@ -402,12 +402,32 @@
 					mkdir $tmp
 					mount -t ramfs ramfs $tmp				
-					if [ -e /media/hdd/backup ];then
-						FLASHTIME=`date "+%Y%m%d%H%M"`
-						BACKUPDIR=/media/hdd/backup/mnt_${FLASHTIME}
-						cp -a /mnt $BACKUPDIR
-						echo "$BACKUPDIR" > /media/hdd/backup/.oebuildbackup
-						sync
+
+					FLASHTIME=`date "+%Y%m%d"`
+					BACKUPFILE=mnt_${FLASHTIME}
+					if [ -e /media/hdd ];then
+						BACKUPDIR=/media/hdd/.update
+						if [ ! -e $BACKUPDIR ];then mkdir $BACKUPDIR; fi
+						if [ -e $BACKUPDIR ];then
+							if [ $(ls -1 $BACKUPDIR | wc -l) -gt 4 ];then
+								rm -rf $BACKUPDIR/*
+							fi
+							cp -a /mnt $BACKUPDIR/$BACKUPFILE
+							echo "$BACKUPDIR/$BACKUPFILE" > $BACKUPDIR/.last
+							rm $BACKUPDIR/.last.restored
+							sync
+						fi
+					elif [ -e /media/usb ];then
+						BACKUPDIR=/media/usb/.update
+						if [ ! -e $BACKUPDIR ];then mkdir $BACKUPDIR; fi
+						if [ -e $BACKUPDIR ];then
+							if [ $(ls -1 $BACKUPDIR | wc -l) -gt 4 ];then
+								rm -rf $BACKUPDIR/*
+							fi
+							cp -a /mnt $BACKUPDIR/$BACKUPFILE
+							echo "$BACKUPDIR/$BACKUPFILE" > $BACKUPDIR/.last
+							rm $BACKUPDIR/.last.restored
+							sync
+						fi
 					fi
-
 					if [ "$imagefs" = "ubinfi" ];then
 						showtime=92
Index: titan/oealliance/usr/bin/titan.sh
===================================================================
--- titan/oealliance/usr/bin/titan.sh	(revision 43285)
+++ titan/oealliance/usr/bin/titan.sh	(revision 43294)
@@ -1,2 +1,11 @@
+startautofs()
+{
+	if [ ! -L /etc/auto.network ];then
+		rm /etc/auto.network
+		ln -s /mnt/network/auto-misc /etc/auto.network
+	fi
+		
+}
+
 startmnt()
 {
@@ -6,8 +15,16 @@
 
 	if [ -e /var/etc/.erasemtd ] || [ ! -e /mnt/swapextensions ]; then
-		if [ -e /media/hdd/backup/.oebuildbackup ];then
-			BACKUPDIR=$(cat /media/hdd/backup/.oebuildbackup)
-			cp -a $BACKUPDIR /mnt
-			mv -f /media/hdd/backup/.oebuildbackup /media/hdd/backup/.oebuildbackup.restored
+		if [ -e /media/hdd/.update/.last ];then
+			BACKUPDIR=/media/hdd/.update
+			BACKUPFILE=$(cat $BACKUPDIR/.last)
+			cp -a $BACKUPDIR/$BACKUPFILE /mnt
+			mv -f $BACKUPDIR/.last $BACKUPDIR/.last.restored
+			sync
+		elif [ -e /media/usb/.update/.last ];then
+			BACKUPDIR=/media/usb/.update
+			BACKUPFILE=$(cat $BACKUPDIR/.last)
+			cp -a $BACKUPDIR/$BACKUPFILE /mnt
+			mv -f $BACKUPDIR/.last $BACKUPDIR/.last.restored
+			sync
 		else
 			infobox -pos -1 75% 10015 "MNT" "            Formatiere Laufwerk            " &
@@ -81,10 +98,5 @@
 startdate()
 {
-	date
-	echo npdate
-	ntpdate -b ptbtime1.ptb.de &
-	echo "####################################"
-	date
-	echo "####################################"
+		(ntpdate -b ptbtime1.ptb.de; time=`date +%s`; echo -e `expr $time + 7200`  > /proc/stb/fp/rtc) &
 }
 
@@ -209,4 +221,5 @@
 
 startmnt
+startautofs
 startEmu
 startopkg