Index: /wiki/pages/gr/Interface-Operation
===================================================================
--- /wiki/pages/gr/Interface-Operation	(revision 43422)
+++ /wiki/pages/gr/Interface-Operation	(revision 43423)
@@ -0,0 +1,305 @@
+﻿[[TranslatedPages]]
+----
+'''3 Interface and Operation Contents''' [=#point3] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+New Gui section work in progress expect dead links or missing data.
+----
+== Interface and Operation ==
+
+This section contains information about the on screen menus within TitanNit and discriptions to the various
+items and their functions aswell as helpfull information and tricks to get the most possible experience with your Receiver.
+
+Note: pictures in this area only apply to the default skin used in Titan.
+If you do not see a specific menu item on the display please select the default skin from the menu as follows:
+
+ Press the __"Menu"__ button and select __"Settings"__ scroll down to __"Skin"__ and select the __"Default"__ Skin from the menu.
+ The decoder will then reboot with the new selected __Default__ skin.
+
+[[Image(source:/wiki/Wiki-Pictures/GR/Mainmenu.jpg)]][[br]]
+
+TitanNit is an easy to use GUI for Linux receivers. Using the default skin (Factory setting) all options, settings and help texts are displayed, so you have an overview of all functions and possible settings for customization.
+
+The newer Receiver types like Atemio520  have a help button on the remote where detailed help can be displayed on screen. Thus you do not need to refer to the manual for help. This help display will be optimized / enhanced in the future.
+
+Interface and operation contents 
+ please select a menu item from the GUI for more information
+
+ * ([#point3.1 Records and epg])
+ * ([#point3.2 Media center])
+ * ([#point3.3 Media player])
+ * ([#point3.4 Extentions])
+ * ([#point3.5 System])
+ * ([#point3.6 Settings])
+ * ([#point3.7 Information])
+ * ([#point3.8 Standby-Power Off])
+
+[[br]]
+[[br]]
+----
+'''Records and EPG''' [=#point3.1] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+
+
+[[Image(source:/wiki/Wiki-Pictures/GR/Recordsand_EPG.jpg)]][[br]]
+
+Records and Epg menu contains all the different views and search settings for the epg,
+it also allows setup and personalization of timer recordings
+ Please select a menu item for more specific information on that item.
+ * ([wiki:EPG-Short-View#point3.1.1 EPG Short View])
+ * ([wiki:Single-EPG#point3.1.2 Single EPG])
+ * ([wiki:Multi-EPG#point3.1.3 Multi EPG])
+ * ([wiki:Graphic-EPG#point3.1.4 Graphic EPG]) 
+ * ([wiki:EPG-Search#point3.1.5 EPG Search])
+ * ([wiki:Records#point3.1.6 Records])
+
+[[br]]
+
+----
+'''3.2 Media Center''' [=#point3.2] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+[[br]]
+[[Image(source:/wiki/Wiki-Pictures/GR/Media_Center.jpg)]][[br]]
+
+Media center contains all the different media players to play streams from local and online sources,
+it also contains a file browser and internet browser for setting up pay streams and login details for online media.
+ Please select a menu item for more specific information on that item.
+
+ * ([wiki:Audio-Player#point3.2.1 Audio Player])
+ * ([wiki:Video-Player#point3.2.2 Video Player])
+ * ([wiki:Picture-Player#point3.2.3 Picture Player])
+ * ([wiki:Mediathek#point3.2.4 Mediathek (Online library)])
+ * ([wiki:File-Browser#point3.2.5 File Browser])
+ * ([wiki:Internet-Browser#point3.2.6 Internet Browser])
+ * ([wiki:Weather#point3.2.7 Weather])
+
+
+[[br]]
+
+''' information'''
+
+
+Media Center It is a collection of media players intergrated in one place (able to stream local or the Internet based streams)
+
+''' Audio player '''
+ * File List mode (display different possible views quickly, default, large, cover, full cover)
+ * Play List mode (internal and external m3u Playlists)
+ * Automatic integration of MediaDB with covers and ID3 tag info extracted from the mp3 file
+ * Random mode (random)
+ * Repeat mode (repeat)
+ * Screen Saver (title text, scrolling images, jumping pictures, wallpapers)
+ * Radio mode (m3u files can be played back over the Internet in all popular protocols rtmp, rtmpe, rts, rtp, mms, http)
+ * All key formats supported via the installation of additional codec packs.
+ * Auto play the next file
+ * seek function (seek 1-3 10s 30s from 0.4 to 6 0.7 to 9 60s)
+ * skip << >>
+ * Mount image mode (iso, img, rar)
+ * Various settings in the Settings Screen
+ * Various sort options
+
+''' Video Player '''
+ * File List mode (display different possible views quickly, default, large, cover, full cover)
+ * Play List mode (internal and external m3u Playlists)
+ * Automatic Intergration of MediaDB with cover, the background images and IMDB info downloaded from the Internet
+ * Random mode (random)
+ * Repeat mode (repeat)
+ * Streaming mode (m3u files can be played back over the Internet in all popular protocols rtmp, rtmpe, rts, rtp, mms, http)
+ * All key formats supported via the installation of additional codec packs.
+ * Automatic Resume from the last position, or playback from the beginning.
+ * Auto play the next file
+ * Mount image mode (iso, img, rar)
+ * DVD material (VIDEO_TS, usb, dvd drive ) but only if the corresponding Plugin is installed (DVDPlayer)
+ * Various settings in the Settings Screen
+ * Various sort options
+ * seek function (seek 1-3 ,4-6 ,7-9 with the values ​​from the titan settings)
+                *(seek on -pad up / down 10min left / right 1min)
+ * In the file list (delete file additional menu, Imdb, ...) mode info button
+ * In play mode - Red button - (additional menu Imdb, ...)
+ * In Play Mode - Green button - (image ratio adjustable)
+ * In Play Mode - Yellow button - (audio track selection)
+ * In Play Mode - Blue button - (Screensaver adjustable)
+ * In play mode - button text - (subtitles adjustable)
+ * External Subtitle support (srt / sub files must have the same name as the video file)
+ * Internal Subtitle Support (dvd / mkv files with integrated subtitles)
+ * Manual IMDB lookup for [http://www.imdb.com/ Imdb / Cover]
+ * Wallpapers adjustable (only in Full Cover interval / number)
+
+''' PicturePlayer '''
+ * File List mode (display different possible views quickly, default, large, cover) (cover in that case means preview)
+ * Play List mode (internal and external m3u Playlists pls)
+ * Complete slide show with no waiting periods except the first file
+ * Random mode (random)
+ * Repeat mode (repeat)
+ * Supported formats png / jpg
+ * Mount image mode (iso, img, rar)
+ * Various settings in the Settings Screen
+ * Various sort options
+ * Background radio selection
+
+''' MediaThek /online library '''
+ * View images in groups of 2/6/12/24/30
+ * [http://www.youtube.com/ Youtube] / [http://www.myvideo.de/ Myvideo] / [http://www.zdf.de/ZDFmediathek Zdf] / [http://www.ardmediathek.de/ Ard]
+ * [http://rtl-now.rtl.de/ Rtl] / [http://www.rtl2.de/video/ Rtl2Now] / [http://www.superrtlnow.de/ SuperRtl] / [http://www.voxnow.de/ VoxNow] (with Pay-streams are hidden by default this can also be made ​​visible)
+ * [http://www.netzkino.de Netzkino] / [http://www.tectime.tv/ DrDish] / [http://www.giga.de Giga]
+ * [http://www.beeg.com Beeg] / [http://www.xvideos.com Xvideos] (xxx ) (blocked by child protection pin)
+ * [https://gitorious.org/neutrino-mp/max10s-neutrino-mp/raw/e4fefb51121d7886b81227eb1215da049e1a729a:data/webtv/webtv.xml InternetTv] (Live Streams)
+ * [http://dir.xiph.org/yp.xml InternetRadio] (Live Streams)
+ * Support favourites
+ * More providers are supported with the extension codec pack 
+ * Some Sites allow lokal strorage of their online streams
+ * Memory Buffer adjustable for smooth, streaming
+
+'''File Browser '''
+ * Copy data
+ * Move data
+ * Delete data
+ * Rename data
+ * Create folders
+
+''' Internet browser ''' (if installed)
+ * From remote control unit
+ * Support favourites
+
+'''Weather plugin '''
+ * Select location
+
+----
+'''3.3 Media player''' [=#point3.3] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+
+----
+
+
+[[Image(source:/wiki/Wiki-Pictures/GR/Media_player.jpg)]][[br]]
+
+Media player is a short file system browser for viewing local media files,
+
+
+ '''Coloured Button's Functions'''
+
+ The __"Coloured Buttons"__ along the bottom of the display bring up additional menus and options with in the epg settings menu.
+  Please see below for more info on the functions of these buttons:.
+ 
+ ||'''Red Button: (Sorting)''' ||Set the sort method for the files listed in the file list display.||
+ ||'''Green Button: (Select)''' ||Play the selected media file.||
+ ||'''Yellow Button: (EPG)''' ||Show the EPG information on the current selected media file (If present)||
+ ||'''Blue Button: (Sort)''' ||Set the sort method for the files listed in the file list display.||
+ ||'''Info Button: (info)''' ||This will allow you to view online IMDB/TMDB information on the current selected media file.||
+ 
+[[br]]
+
+----
+'''3.4 Extentions''' [=#point3.4] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+
+[[Image(source:/wiki/Wiki-Pictures/GR/Extentions.jpg)]][[br]]
+
+Extentions menu section contains all the available tools to personalize plugins
+ Please select a menu item for more specific information on that item.
+
+ * ([wiki:Plugins#point3.4.1 Plugins])
+ * ([wiki:Change-Feed#point3.4.2 Change Feed])
+ * ([wiki:TPK-Upgrade#point3.4.3 TPK Upgrade])
+ * ([wiki:TPK-Install#point3.4.4 TPK Install (Online)])
+ * ([wiki:TPK-Tmp#point3.4.5 TPK Tmp (TMP)])
+ * ([wiki:TPK-Media#point3.4.6 TPK Media (Media)])
+ * ([wiki:TPK-Remove#point3.4.7 TPK Remove])
+
+[[br]]
+
+----
+'''3.5 System''' [=#point3.5] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+
+----
+
+[[Image(source:/wiki/Wiki-Pictures/GR/System.jpg)]][[br]]
+
+The System menu section contains all the important settings to set up the Receiver Hardware and Software
+ Please select a menu item for more specific information on that item.
+
+ * ([wiki:Channel-Service#point3.5.1 Channel Service])
+ * ([wiki:Common-Interface#point3.5.2 Common Interface])
+ * ([wiki:Smart-Card-Reader#point3.5.3 Smart Card Reader]) 
+ * ([wiki:Network#point3.5.4 Network])
+ * ([wiki:Hard-Disk#point3.5.5 Hard Disk])
+ * ([wiki:VFDisplay#point3.5.6 VFDisplay])
+ * ([wiki:System-Update#point3.5.7 System Update])
+ * ([wiki:Backup#point3.5.8 Backup])
+ * ([wiki:Settings-Backup-Restore#point3.5.9 Settings Backup Restore])
+ * ([wiki:Receiver-Unlock#point3.5.10 Receiver Unlock])
+
+[[br]]
+----
+'''3.6 Settings''' [=#point3.6] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+
+----
+
+
+
+[[Image(source:/wiki/Wiki-Pictures/GR/Settings.jpg)]][[br]]
+
+The Settings menu section contains all the Software settings of the Receiver,
+within the menu you can personalize the appearance and various settings of the Interface
+ Please select a menu item for more specific information on that item.
+
+ * ([wiki:AV-Settings#point3.6.1 AV Settings])
+ * ([wiki:Language#point3.6.2 Language])
+ * ([wiki:Timezone#point3.6.3 Timezone]) 
+ * ([wiki:Red-Button#point3.6.4 Red Button])
+ * ([wiki:Blue-Button#point3.6.5 Blue Button])
+ * ([wiki:Media-Button#point3.6.6 Media Button])
+ * ([wiki:Adjust#point3.6.7 System Settings])
+ * ([wiki:Skin#point3.6.8 Skin])
+ * ([wiki:Skin-Adjust#point3.6.9 Skin Settings])
+ * ([wiki:Screensaver-Adjust#point3.6.10 Screensaver])
+ * ([wiki:Timeshift-Settings#point3.6.11 Timeshift])
+ * ([wiki:Record-Path#point3.6.12 Path for Recordings])
+ * ([wiki:EPG-Settings#point3.6.13 EPG])
+ * ([wiki:Child-Protection#point3.6.14 Parental Control])
+ * ([wiki:Restore-Default-Settings#point3.6.15 Restore Factory Settings])
+ * ([wiki:Video-Settings#point3.6.16 Video Settings])
+ * ([wiki:Channel-Edit#point3.6.17 Channel Edit])
+ * ([wiki:MediaDB-Settings#point3.6.18 MediaDB Settings])
+ * ([wiki:Auto-Start-Settings#point3.6.19 Auto Start])
+
+[[br]]
+
+----
+'''3.7 Information''' [=#point3.7] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+
+----
+
+[[Image(source:/wiki/Wiki-Pictures/GR/Information.jpg)]][[br]]
+
+The Information menu section can list all the information of the Hardware, Software and stream info,
+it also contains help and contact information.
+Within the menu you can personalize the appearance and various settings of the Interface
+ Please select a menu item for more specific information on that item.
+
+ * ([wiki:Service#point3.7.1 Service])
+ * ([wiki:News-letter#point3.7.2 News letter])
+ * ([wiki:About#point3.7.3 About])
+ * ([wiki:Streaming#point3.7.4 Streaming])
+ * ([wiki:Atemio-Hotline#point3.7.5 Atemio (Hotline)])
+ * ([wiki:Titan-Changelog#point3.7.6 Titan Changelog])
+ * ([wiki:Git-Changelog#point3.7.7 Git Changelog])
+ * ([wiki:System-Info#point3.7.8 System Info])
+ * ([wiki:Log#point3.7.9 Log])
+
+[[br]]
+
+----
+'''3.8 Standby-Power Off''' [=#point3.8] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+
+----
+
+
+[[Image(source:/wiki/Wiki-Pictures/GR/Standby_Poweroff.jpg)]][[br]]
+
+The Standby/ Power Off contains settings related to power settings,
+within the menu you can decide how and when the Receiver shuts down
+ Please select a menu item for more specific information on that item.
+
+ ||'''Power-Off:''' ||The receiver shuts down completely (Deep Standby).||
+ ||'''Standby:''' ||The receiver only shuts down the picture and volume. (Higher energy consumtion than in Deep Standby there for much faster booting time ~1Sek.). All functions of the WEB IF stay active.||
+ ||'''Reboot:''' ||The receiver shuts down completely and reboots. (important for saving changes to the settings)||
+ ||'''GUI-Restart:''' ||Only a reboot of the Titan software (faster) (changes to settings since last reboot/Power-Off are lost!).||
+ ||'''([wiki:Power-Off-Timer Power Off Timer])''' ||Opens the Power Off timer menu to automatically switch the receiver to Power-Off or Standby at a specific time.||
+[[br]]
Index: /wiki/pages/gr/Ram
===================================================================
--- /wiki/pages/gr/Ram	(revision 43422)
+++ /wiki/pages/gr/Ram	(revision 43423)
@@ -0,0 +1,13 @@
+[[TranslatedPages]]
+>----
+>'''3.7.8.6 Ram''' [=#point3.7.8.6] ([wiki:System-Info#point3.7.8 System Info (Back])
+>
+>
+>[[Image(source:/wiki/Wiki-Pictures/GR/System-Info-Ram.jpg)]][[br]]
+> 
+Here you can view the memory information.
+
+[[br]]
+
+
+[[br]]