Index: titan/mediathek/localparser_secret/kinox.sh
===================================================================
--- titan/mediathek/localparser_secret/kinox.sh	(revision 43559)
+++ titan/mediathek/localparser_secret/kinox.sh	(revision 43698)
@@ -301,6 +301,7 @@
 kino()
 {
-#	rm $TMP/cache.$FILENAME.* > /dev/null 2>&1
-#	rm $TMP/$FILENAME.list
+#echo kino
+	rm $TMP/cache.$FILENAME.* > /dev/null 2>&1
+	rm $TMP/$FILENAME.list
 	if [ ! -e "$TMP/$FILENAME.list" ]; then
 		piccount=0
@@ -324,44 +325,21 @@
 
 #		cat $TMP/cache.$FILENAME.1 | grep /Stream/ | sed 's!/Stream/!\n/Stream/!' | grep ^/Stream/ | cut -d '"' -f1  | cut -d "'" -f1 | sort -um >$TMP/cache.$FILENAME.2
-		cat $TMP/cache.$FILENAME.1 | grep /Stream/ | sed 's!/Stream/!\n/Stream/!' | grep ^/Stream/ | cut -d '"' -f1  | cut -d "'" -f1 >$TMP/cache.$FILENAME.2
+#		cat $TMP/cache.$FILENAME.1 | grep /Stream/ | sed 's!/Stream/!\n/Stream/!' | grep ^/Stream/ | cut -d '"' -f1  | cut -d "'" -f1 >$TMP/cache.$FILENAME.2
+
+		cat $TMP/cache.$FILENAME.1 | tr '\n' ' ' | sed 's!location.href!\nlocation.href!g' | grep ^'location.href' >$TMP/cache.$FILENAME.2
 
 		while read -u 3 ROUND; do
 			piccount=`expr $piccount + 1`
-			filename=`echo $ROUND | sed 's!/Stream/!!'`
+			PAGE=`echo $ROUND | sed -nr "s/.*location.href='([^']+)'.*/\1/p"`
+			filename=`echo $PAGE | cut -d "/" -f3`
 			picname=`echo $filename | sed 's!.html!.jpg!'`
 			searchname=`echo $filename | sed 's!.html!!'`	
-		
-			TITLE=`echo $picname | sed 's!.jpg!!' | tr "_" " "`
-
-			if [ `cat /mnt/config/titan.cfg | grep tithek_kinox_pic=1 | wc -l` -eq 1 ];then
-		#		$wgetbin --no-check-certificate "$MAINURL/$ROUND1" -O cache."$filename".list
-#				echo $BIN /tmp/localhoster/cloudflare.py "$URL/$ROUND"
-				$ACTIVEBIN "$URL/$ROUND" > $TMP/cache."$filename".list
-				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
-#					echo $BIN2 /tmp/localhoster/cloudflare.py "$URL/$ROUND"
-					$ACTIVEBIN "$URL/$ROUND" > $TMP/cache."$filename".list
-				fi
-				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
-#					echo $BIN3 /tmp/localhoster/cloudflare.py "$URL/$ROUND"
-					$ACTIVEBIN "$URL/$ROUND" > $TMP/cache."$filename".list
-				fi
-				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
-#					echo $BIN4 /tmp/localhoster/cloudflare.py "$URL/$ROUND"
-					$ACTIVEBIN "$URL/$ROUND" > $TMP/cache."$filename".list
-				fi
-				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
-#					echo $BIN5 /tmp/localhoster/cloudflare.py "$URL/$ROUND"
-					$ACTIVEBIN "$URL/$ROUND" > $TMP/cache."$filename".list
-				fi
-				if [ $(cat $TMP/cache."$filename".list | wc -l) -eq 0 ];then
-#					echo $BIN6 /tmp/localhoster/cloudflare.py "$URL/$ROUND"
-					$ACTIVEBIN "$URL/$ROUND" > $TMP/cache."$filename".list
-				fi
-				PIC=$URL/`cat $TMP/cache."$filename".list | tr '><' '>\n<' | grep $picname | cut -d '"' -f2 | sort -um`
-				LANG=`cat $TMP/cache."$filename".list | grep 'alt="language" src="/gr/sys/lng' | sed 's!alt="language" src="/gr/sys/lng/!\n!' | tail -n1 |cut -d"." -f1`
-			else
-				PIC="http://atemio.dyndns.tv/mediathek/menu/default.jpg"
-				LANG=1
-			fi
+
+			TITLE=`echo $ROUND | sed -nr 's/.*title="([^"]+)".*/\1/p'`
+			PIC="$URL""/statics/thumbs/"`echo $ROUND | sed -nr 's/.*\/statics\/thumbs\/(.*)" \/>.*/\1/p'`
+			PLOT=`echo $ROUND | sed -nr 's/.*<div class="Descriptor">([^>]+)<\/div>.*/\1/p'`
+			LANG=`echo $ROUND | grep 'src="/gr/sys/lng' | sed 's!src="/gr/sys/lng/!\n!' | tail -n1 |cut -d"." -f1`
+			IMDB=`echo $ROUND | sed -nr 's/.*<b>IMDb:<\/b> ([^ ]+) \/.*/\1/p'`
+			YEAR=`echo $ROUND | sed -nr 's/.*"Year">([^>]+)<\/span>.*/\1/p'`
 
 		 	LANGTXT=" (de)"
@@ -377,11 +355,18 @@
 			fi
 
-			NEWPAGE="$URL/$ROUND"
-
-			if [ -z "$PIC" ]; then
+			NEWPAGE="$URL/$PAGE"
+
+			if [ ! -z "$IMDB" ];then
+				IMDBTXT=" ($IMDB)"
+			fi
+			if [ ! -z "$YEAR" ];then
+				YEARTXT=" ($YEAR)"
+			fi
+
+			if [ -z "$PIC" ] || [ "$PIC" == "$URL""/statics/thumbs/" ]; then
 				PIC="http://atemio.dyndns.tv/mediathek/menu/default.jpg"
 			fi
 
-			TITLE=`echo $TITLE | sed -e 's/&#038;/&/g' -e 's/&amp;/und/g' -e 's/&quot;/"/g' -e 's/&lt;/\</g' -e 's/&#034;/\"/g' -e 's/&#039;/\"/g' -e 's/#034;/\"/g' -e 's/#039;/\"/g' -e 's/&szlig;/\C3x/g' -e 's/&ndash;/-/g' -e 's/&Auml;/\C3
+#			TITLE=`echo $TITLE | sed -e 's/&#038;/&/g' -e 's/&amp;/und/g' -e 's/&quot;/"/g' -e 's/&lt;/\</g' -e 's/&#034;/\"/g' -e 's/&#039;/\"/g' -e 's/#034;/\"/g' -e 's/#039;/\"/g' -e 's/&szlig;/\C3x/g' -e 's/&ndash;/-/g' -e 's/&Auml;/\C3
 /g' -e 's/&Uuml;/\C3S/g' -e 's/&Ouml;/\C3/g' -e 's/&auml;/\E4/g' -e 's/&uuml;/\FC/g' -e 's/&ouml;/\F6/g' -e 's/&eacute;/\E9/g' -e 's/&egrave;/\E8/g' -e 's/%F6/\F6/g' -e 's/%FC/\FC/g' -e 's/%E4/\E4/g' -e 's/%26/&/g' -e 's/%C4/\C3
 /g' -e 's/%D6/\C3/g' -e 's/%DC/\C3S/g' -e 's/%28/(/g' -e 's/%29/)/g' -e 's/%3A/:/g' -e 's/%40/@/g' -e 's/%2B/&/g' -e 's/%C3/A/g' -e 's/%B1/&/g' -e 's/%5B//g' -e 's/%5D//g' -e 's!%2F!/!g' -e 's/|/ /g' -e 's/(/ /g' -e 's/)/ /g' -e 's/+/ /g' -e 's/\//-/g' -e 's/,/ /g' -e 's/;/ /g' -e 's/:/ /g' -e 's/\.\+/./g'`
@@ -392,5 +377,5 @@
 				fi
 				piccount=`expr $piccount + 1`
-				LINE="$TITLE$LANGTXT#$NEWPAGE#$PIC#kinox_$piccount.jpg#KinoX#22"
+				LINE="$TITLE$LANGTXT$YEARTXT$IMDBTXT#$NEWPAGE#$PIC#kinox_$piccount.jpg#KinoX#22#$PLOT"
 
 				if [ `cat $TMP/$FILENAME.list | grep "$TITLE" | wc -l` -eq 0 ];then
@@ -400,5 +385,5 @@
 
 		done 3<$TMP/cache.$FILENAME.2
-		rm $TMP/cache.$FILENAME.* > /dev/null 2>&1
+#		rm $TMP/cache.$FILENAME.* > /dev/null 2>&1
 
 	fi